st_table_entry Struct Reference

## Data Fields

st_index_t | hash
st_data_t | key
st_data_t | record
st_table_entry * | next
st_table_entry * | fore
st_table_entry * | back

## Detailed Description

Definition at line 20 of file st.c.

## Field Documentation

st_table_entry * st_table_entry::back

Definition at line 25 of file st.c.

Referenced by st_copy().

st_table_entry* st_table_entry::fore

Definition at line 25 of file st.c.

Referenced by rehash(), st_copy(), and st_foreach().

st_index_t st_table_entry::hash

Definition at line 21 of file st.c.

Referenced by rehash(), st_copy(), and st_foreach().

st_data_t st_table_entry::key

Definition at line 22 of file st.c.

Referenced by st_cleanup_safe(), st_delete(), st_delete_safe(), st_foreach(), st_get_key(), and st_insert2().

st_table_entry* st_table_entry::next

Definition at line 24 of file st.c.

Referenced by rehash(), st_cleanup_safe(), st_clear(), st_copy(), st_delete(), st_delete_safe(), and st_foreach().

st_data_t st_table_entry::record

Definition at line 23 of file st.c.

Referenced by st_delete(), st_delete_safe(), st_foreach(), st_insert(), st_insert2(), and st_lookup().

The documentation for this struct was generated from the following file:

- st.c